# Created by pyp2rpm-3.3.10
%global pypi_name radicale-storage-decsync
%global pypi_version 2.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        DecSync storage plugin for Radicale

License:        GPLv3+
URL:            https://github.com/39aldo39/Radicale-DecSync
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/radicale_storage_decsync-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

Patch0:         python-radicale-storage-decsync-1.patch

%description
Radicale DecSync Radicale DecSync is an [Radicale]() storage plugin which adds
synchronization of contacts and calendars using [DecSync]( This allows you to
use DecSync on any CalDAV/CardDAV compatible client like [Thunderbird](). To
start synchronizing, all you have to do is synchronize the DecSync directory
(by default /.local/share/decsync), using for example [Syncthing](). It works
on both...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(libdecsync) >= 2
Requires:       python3dist(radicale) >= 3
%description -n python3-%{pypi_name}
Radicale DecSync Radicale DecSync is an [Radicale]() storage plugin which adds
synchronization of contacts and calendars using [DecSync]( This allows you to
use DecSync on any CalDAV/CardDAV compatible client like [Thunderbird](). To
start synchronizing, all you have to do is synchronize the DecSync directory
(by default /.local/share/decsync), using for example [Syncthing](). It works
on both...


%prep
%autosetup -n radicale_storage_decsync-%{pypi_version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/radicale_storage_decsync
%{python3_sitelib}/radicale_storage_decsync-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Feb 02 2025 Igor Zavorotkin <ivzave@gmail.com> - 2.1.0-2
- Follow radicale code changes (fix https://github.com/39aldo39/Radicale-DecSync/issues/33)

* Thu Nov 07 2024 Igor Zavorotkin <ivzave@gmail.com> - 2.1.0-1
- Initial package.
